from omnibenchmark.core.omni_object import OmniObject
from omnibenchmark.core.output_classes import OmniCommand, OmniOutput
from omnibenchmark.core.input_classes import OutMapping, OmniInput
                      
omni_in = OmniInput(names = ["param_file"],
                    input_files = {"in_data2_original" : 
                                   {"param_file": "data/in_data2/in_data2_original_params.json"}
                    }
                   )
    
                      
omni_out = OmniOutput(name = "test2", out_names = ["param_json"], output_end = {"param_json": "json"}, inputs = omni_in)
omni_obj = OmniObject(name = "test_input", script = "src/param_workflow2.py", inputs = omni_in, outputs = omni_out)
omni_obj.run_renku()

omni_obj.inputs.input_files["in_data3_original"] = {"param_file": "data/in_data3/in_data3_original_params.json"}
omni_obj.update_object()
omni_obj.run_renku()