from omnibenchmark.core.omni_object import OmniObject
from omnibenchmark.core.output_classes import OmniCommand, OmniOutput
from omnibenchmark.core.input_classes import OutMapping
                      
out_map = OutMapping(
    {
        "output_files": {
            "param_json": "data/test2/test2_param.json"
        }
    }
)
                      
omni_out = OmniOutput(name = "test2", out_names = ["param_json"], file_mapping = [out_map])
omni_obj = OmniObject(name = "test2", script = "src/param_workflow.py", outputs = omni_out)

