import argparse
import json
import copy
import yaml

parser=argparse.ArgumentParser()
parser.add_argument('--input_1', help='Path to the input json file')
parser.add_argument('--out_test1', help='Path to output1')
parser.add_argument('--out_test2', help='Path to output2')
args=parser.parse_args()

with open(args.input_1) as f:
        params = yaml.load(f, Loader=yaml.FullLoader)

params1 = copy.deepcopy(params)
del params1["hvg"]

params2 = copy.deepcopy(params)
del params2["lambda"]

#increase size
from random import randrange

def rand_dict(n):
   values = ['value1', 'value2']
   mydict = {"key " + str(i): values[0] for i in range(n)}
   mydict["key " + str(randrange(n))] = values[1]

   return mydict

param3 = rand_dict(20010)

with open(args.out_test1, "w") as fp:
    json.dump(params1 , fp, indent=3) 
    
with open(args.out_test2, "w") as fp:
    json.dump(param3 , fp, indent=3) 
